Mailinglist Archive: opensuse-factory (401 mails)

< Previous Next >
[opensuse-factory] Leap 15.1 Build 429.2 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&version=15.1&build=429.2&groupid=50
https://bugzilla.opensuse.org/buglist.cgi?product=openSUSE%20Distribution&query_format=advanced&resolution=---&version=Leap%2015.1

When you reply to discuss some issues, make sure to change the subject.
Please use the test plan at
https://docs.google.com/spreadsheets/d/1AGKijKpKiJCB616-bHVoNQuhWHpQLHPWCb3m1p6gXPc/edit#gid=94909276
to record your testing efforts and use bugzilla to report bugs.

Packages changed:
PackageKit
akonadi-calendar (18.12.2 -> 18.12.3)
akonadi-calendar-tools (18.12.2 -> 18.12.3)
akonadi-contact (18.12.2 -> 18.12.3)
akonadi-import-wizard (18.12.2 -> 18.12.3)
akonadi-mime (18.12.2 -> 18.12.3)
akonadi-notes (18.12.2 -> 18.12.3)
akonadi-search (18.12.2 -> 18.12.3)
akonadi-server (18.12.2 -> 18.12.3)
akregator (18.12.2 -> 18.12.3)
ark (18.12.2 -> 18.12.3)
baloo5
baloo5-widgets (18.12.2 -> 18.12.3)
bind
bluedevil5 (5.12.7 -> 5.12.8)
breeze (5.12.7 -> 5.12.8)
breeze-gtk (5.12.7 -> 5.12.8)
breeze4-style (5.12.7 -> 5.12.8)
calendarsupport (18.12.2 -> 18.12.3)
catfish
chromium (72.0.3626.96 -> 72.0.3626.121)
desktop-translations (84.87.20190131.bc9de591 -> 84.87.20190305.22ea2626)
discover (5.12.7 -> 5.12.8)
dolphin (18.12.2 -> 18.12.3)
dracut
drkonqi5 (5.12.7 -> 5.12.8)
eventviews (18.12.2 -> 18.12.3)
file
glibc
glibc
gnuhealth (3.4.0 -> 3.4.1)
grantleetheme (18.12.2 -> 18.12.3)
gwenview5 (18.12.2 -> 18.12.3)
hdf5
incidenceeditor (18.12.2 -> 18.12.3)
kaccounts-integration (18.12.2 -> 18.12.3)
kaccounts-providers (18.12.2 -> 18.12.3)
kactivitymanagerd (5.12.7 -> 5.12.8)
kaddressbook (18.12.2 -> 18.12.3)
kalarmcal (18.12.2 -> 18.12.3)
kamera (18.12.2 -> 18.12.3)
kate (18.12.2 -> 18.12.3)
kcalc (18.12.2 -> 18.12.3)
kcalcore (18.12.2 -> 18.12.3)
kcalutils (18.12.2 -> 18.12.3)
kcharselect (18.12.2 -> 18.12.3)
kcm_sddm (5.12.7 -> 5.12.8)
kcolorchooser (18.12.2 -> 18.12.3)
kcontacts (18.12.2 -> 18.12.3)
kdav (18.12.2 -> 18.12.3)
kde-cli-tools5 (5.12.7 -> 5.12.8)
kde-gtk-config5 (5.12.7 -> 5.12.8)
kde-user-manager (5.12.7 -> 5.12.8)
kdenetwork4-filesharing (18.12.2 -> 18.12.3)
kdepim-addons (18.12.2 -> 18.12.3)
kdepim-apps-libs (18.12.2 -> 18.12.3)
kdepim-runtime (18.12.2 -> 18.12.3)
kdialog (18.12.2 -> 18.12.3)
kgamma5 (5.12.7 -> 5.12.8)
khelpcenter5 (18.12.2 -> 18.12.3)
khotkeys5 (5.12.7 -> 5.12.8)
kidentitymanagement (18.12.2 -> 18.12.3)
kimap (18.12.2 -> 18.12.3)
kinfocenter5 (5.12.7 -> 5.12.8)
kio
kio-extras5 (18.12.2 -> 18.12.3)
kio_audiocd (18.12.2 -> 18.12.3)
kitinerary (18.12.2 -> 18.12.3)
kldap (18.12.2 -> 18.12.3)
kleopatra (18.12.2 -> 18.12.3)
kmag (18.12.2 -> 18.12.3)
kmail (18.12.2 -> 18.12.3)
kmail-account-wizard (18.12.2 -> 18.12.3)
kmailtransport (18.12.2 -> 18.12.3)
kmbox (18.12.2 -> 18.12.3)
kmenuedit5 (5.12.7 -> 5.12.8)
kmime (18.12.2 -> 18.12.3)
kmousetool (18.12.2 -> 18.12.3)
knotes (18.12.2 -> 18.12.3)
kompare (18.12.2 -> 18.12.3)
konsole (18.12.2 -> 18.12.3)
kontact (18.12.2 -> 18.12.3)
kontactinterface (18.12.2 -> 18.12.3)
korganizer (18.12.2 -> 18.12.3)
kpimtextedit (18.12.2 -> 18.12.3)
kpkpass (18.12.2 -> 18.12.3)
kqtquickcharts (18.12.2 -> 18.12.3)
kscreen5 (5.12.7 -> 5.12.8)
kscreenlocker (5.12.7 -> 5.12.8)
ksmtp (18.12.2 -> 18.12.3)
ksshaskpass5 (5.12.7 -> 5.12.8)
ksysguard5 (5.12.7 -> 5.12.8)
ktnef (18.12.2 -> 18.12.3)
kwalletmanager5 (18.12.2 -> 18.12.3)
kwayland-integration (5.12.7 -> 5.12.8)
kwin5 (5.12.7 -> 5.12.8)
libffi
libgravatar (18.12.2 -> 18.12.3)
libkcddb (18.12.2 -> 18.12.3)
libkcompactdisc (18.12.2 -> 18.12.3)
libkdcraw (18.12.2 -> 18.12.3)
libkdecoration2 (5.12.7 -> 5.12.8)
libkdepim (18.12.2 -> 18.12.3)
libkexiv2 (18.12.2 -> 18.12.3)
libkgapi (18.12.2 -> 18.12.3)
libkipi (18.12.2 -> 18.12.3)
libkleo (18.12.2 -> 18.12.3)
libkomparediff2 (18.12.2 -> 18.12.3)
libksane (18.12.2 -> 18.12.3)
libkscreen2 (5.12.7 -> 5.12.8)
libksieve (18.12.2 -> 18.12.3)
libksysguard5 (5.12.7 -> 5.12.8)
libstorage-ng (4.1.95 -> 4.1.96)
libvirt (5.0.0 -> 5.1.0)
llvm7 (7.0.0 -> 7.0.1)
mailcommon (18.12.2 -> 18.12.3)
mailimporter (18.12.2 -> 18.12.3)
marble (18.12.2 -> 18.12.3)
mariadb (10.2.15 -> 10.2.22)
messagelib (18.12.2 -> 18.12.3)
milou5 (5.12.7 -> 5.12.8)
mobipocket (18.12.2 -> 18.12.3)
okular (18.12.2 -> 18.12.3)
open-iscsi
oxygen5 (5.12.7 -> 5.12.8)
patterns-base
patterns-xfce
patterns-yast (20181130 -> 20190228)
pimcommon (18.12.2 -> 18.12.3)
plasma-nm5 (5.12.7 -> 5.12.8)
plasma5-addons (5.12.7 -> 5.12.8)
plasma5-desktop (5.12.7 -> 5.12.8)
plasma5-integration (5.12.7 -> 5.12.8)
plasma5-openSUSE (15.0~git20181114T190445~21cb8a6 ->
15.0~git20190223T194652~7f4983a)
plasma5-pa (5.12.7 -> 5.12.8)
plasma5-workspace (5.12.7 -> 5.12.8)
polkit-kde-agent-5 (5.12.7 -> 5.12.8)
powerdevil5 (5.12.7 -> 5.12.8)
python-libvirt-python (5.0.0 -> 5.1.0)
samba (4.9.3+git.123.6de7e23d2b1 -> 4.9.4+git.138.e50f45d83ad)
signon-kwallet-extension (18.12.2 -> 18.12.3)
spectacle (18.12.2 -> 18.12.3)
supportutils (3.1 -> 3.1.1)
systemsettings5 (5.12.7 -> 5.12.8)
urlscan (0.8.6 -> 0.9.2)
virt-manager
vlc
xdg-desktop-portal-kde (5.12.7 -> 5.12.8)
xen (4.12.0_02 -> 4.12.0_04)
yast2 (4.1.56 -> 4.1.61)
yast2-bootloader (4.1.20 -> 4.1.21)
yast2-control-center (4.1.6 -> 4.1.7)
yast2-installation (4.1.37 -> 4.1.41)
yast2-iscsi-client (4.1.5 -> 4.1.6)
yast2-network (4.1.42 -> 4.1.43)
yast2-packager (4.1.29 -> 4.1.32)
yast2-pkg-bindings (4.1.1 -> 4.1.2)
yast2-ruby-bindings (4.1.2 -> 4.1.4)
yast2-snapper (4.1.0 -> 4.1.2)
yast2-storage-ng (4.1.68 -> 4.1.71)
yast2-users (4.1.9 -> 4.1.10)

=== Details ===

==== PackageKit ====
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- Modify PackageKit-systemd-timers.patch: Fix unit field in
packagekit-background.timer (boo#1126943).

==== akonadi-calendar ====
Version update (18.12.2 -> 18.12.3)
Subpackages: akonadi-calendar-lang akonadi-plugin-calendar
libKF5AkonadiCalendar5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== akonadi-calendar-tools ====
Version update (18.12.2 -> 18.12.3)
Subpackages: akonadi-calendar-tools-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== akonadi-contact ====
Version update (18.12.2 -> 18.12.3)
Subpackages: akonadi-contact-lang akonadi-plugin-contacts libKF5AkonadiContact5
libKF5ContactEditor5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* Don't duplicate items

==== akonadi-import-wizard ====
Version update (18.12.2 -> 18.12.3)
Subpackages: akonadi-import-wizard-lang libKPimImportWizard5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== akonadi-mime ====
Version update (18.12.2 -> 18.12.3)
Subpackages: akonadi-mime-lang akonadi-plugin-mime libKF5AkonadiMime5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== akonadi-notes ====
Version update (18.12.2 -> 18.12.3)
Subpackages: akonadi-notes-lang libKF5AkonadiNotes5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== akonadi-search ====
Version update (18.12.2 -> 18.12.3)
Subpackages: akonadi-search-lang libKF5AkonadiSearch

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== akonadi-server ====
Version update (18.12.2 -> 18.12.3)
Subpackages: akonadi-server-lang akonadi-server-sqlite libKF5AkonadiAgentBase5
libKF5AkonadiCore5 libKF5AkonadiPrivate5 libKF5AkonadiWidgets5 libKF5AkonadiXml5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* Small code cleanup: use local var instead of pimItems.at(i) many times
* Fix intermittent race in collectionattributetest
* Use an emit syntax that QtCreator understands better.
* Remove unneeded warning for killed subjobs, error string was just "".
* Add missing Q_EMIT before signal emission.
* collectionattributetest: small cleanups
* Server: Improve debug, warning and error log messages
* Destroy the Connection Through the Session Thread (kde#381636)
* Akonadi: fix racy code in (MimeType|Resource)::retrieveByNameOrCreate
* Akonadi: fix timing-dependent failure of partstreamertest
* Akonadi: add missing dependencies on included XSL files
* Fix SQLite backend foreign key PRAGMAs
* Simplify AggregatedFetchScope code, removing all setters.
* Fix tag change notification shipping a bogus name.
* AggregatedFetchScope: fix fetchAllAttributes for tags.
* Properly clean up scopes when deregistering a subscriber.
* Fix "QIODevice::read" warnings.
* autotests: partstreamertest: show more info on failure

==== akregator ====
Version update (18.12.2 -> 18.12.3)
Subpackages: akregator-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== ark ====
Version update (18.12.2 -> 18.12.3)
Subpackages: ark-lang libkerfuffle18

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* Fix loading of tar.zst archives (kde#404464)
* cli7ztest: add failing test case for zip folders with RDA attributes

==== baloo5 ====
Subpackages: baloo5-file baloo5-file-lang baloo5-imports baloo5-imports-lang
baloo5-kioslaves baloo5-kioslaves-lang baloo5-tools baloo5-tools-lang
libKF5Baloo5 libKF5BalooEngine5 libKF5BalooEngine5-lang

- Fix crashing kdeinit, add
0001-Check-string-length-to-avoid-crash-for-tags-URL.patch

==== baloo5-widgets ====
Version update (18.12.2 -> 18.12.3)
Subpackages: baloo5-widgets-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== bind ====
Subpackages: bind-chrootenv bind-utils libbind9-160 libdns169 libirs160
libisc166 libisccc160 libisccfg160 liblwres160 python3-bind

- Add bug-4697-Restore-workaround-for-Microsoft-Windows-T.patch
Fixes dynamic DNS updates against samba and Microsoft DNS servers
(bsc#1094236).

==== bluedevil5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: bluedevil5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== breeze ====
Version update (5.12.7 -> 5.12.8)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style
breeze5-style-lang breeze5-wallpapers

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
* Fix uncentered crosshairs
* Improve contrast for crosshair cursors (kde#400110)

==== breeze-gtk ====
Version update (5.12.7 -> 5.12.8)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
* Set the default cursor theme to breeze_cursors
* GTK theme treeview style typo/bug fix
- Remove patches, now upstream
* 0001-Set-the-default-cursor-theme-to-breeze_cursors.patch
* 0001-GTK-theme-treeview-style-typo-bug-fix.patch

==== breeze4-style ====
Version update (5.12.7 -> 5.12.8)

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
* Fix uncentered crosshairs
* Improve contrast for crosshair cursors (kde#400110)

==== calendarsupport ====
Version update (18.12.2 -> 18.12.3)
Subpackages: calendarsupport-lang libKF5CalendarSupport5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== catfish ====
Subpackages: catfish-lang

- dropped failing and obsolete --record-rpm build flag (boo#1123781)

==== chromium ====
Version update (72.0.3626.96 -> 72.0.3626.121)

- Drop direct dependency on libgsm, we just need the devel
- Update to 72.0.3626.121:
* fixes bsc#1127602 CVE-2019-5786
- Update to 72.0.3626.119:
* Feature fixes update only
- Update to 72.0.3626.109:
* This is just feature fixes update

==== desktop-translations ====
Version update (84.87.20190131.bc9de591 -> 84.87.20190305.22ea2626)

- New language: kab.
- Update to version 84.87.20190305.22ea2626:
* Translated using Weblate (Catalan)
* Translated using Weblate (Czech)
* Translated using Weblate (Finnish)
* Translated using Weblate (Galician)
* Translated using Weblate (German)
* Translated using Weblate (Japanese)
* Translated using Weblate (Russian)
* Translated using Weblate (Slovak)
* Translated using Weblate (Spanish)

==== discover ====
Version update (5.12.7 -> 5.12.8)
Subpackages: discover-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7
- Split available backends into subpackages
- Improve description by taking the one from Debian and rewording it
slightly

==== dolphin ====
Version update (18.12.2 -> 18.12.3)
Subpackages: dolphin-part dolphin-part-lang libdolphinvcs5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* Fix crash during shutdown (kde#402784)
* Word-wrap KMessageWidget text
* [DolphinView] Use correct color group
* Sort preview plugins case-insensitively

==== dracut ====

- purge-kernels: Avoid endless loop when uninstalling kernels that depend on
KMPs which in themselves depend on other packages (bsc#1125327)
- Correct fix for displaying text on emergency consoles (boo#1124088)
* removes 0589-Fix-displaying-text-on-emergency-consoles.patch
* adds 0589-Fix-98dracut-systemd-dracut-emergency.sh.patch
- 95iscsi: handle qedi like bnx2i (bsc#1113712)
* adds 0592-95iscsi-handle-qedi-like-bnx2i.patch
- 91zipl: Don't use contents of commented lines (osc#1119499)
* adds 0591-91zipl-Don-t-use-contents-of-commented-lines.patch
- Fix displaying text on emergency consoles (boo#1124088)
- adds 0589-Fix-displaying-text-on-emergency-consoles.patch
- Remove invalid "FONT_MAP=none" from vconsole.conf (osc#1013573)

==== drkonqi5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: drkonqi5-lang

- Recommend gdb for useful backtraces (moved from the pattern)
- Add ptools as runtime dependency to get required tool
pbuildid for fetching symbols
- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== eventviews ====
Version update (18.12.2 -> 18.12.3)
Subpackages: eventviews-lang libKF5EventViews5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== file ====
Subpackages: file-magic libmagic1 libmagic1-32bit

- Add patch 0002-PR-62-spinpx-limit-size-of-file_printable.patch to
fix bsc#1126117, bsc#1126118, and bsc#1126119 for CVE-2019-8905,
CVE-2019-8906, and CVE-2019-8907
- Add patch file-a642587a9c.patch for bsc#1096974, bsc#1096984, and
CVE-2018-10360 -- Avoid reading past the end of buffer

==== glibc ====

- mman-map-sync.patch: Add MAP_SYNC from Linux 4.15 (bsc#1126590)
- mman-linux-map-shared-validate.patch: Add MAP_SHARED_VALIDATE from Linux
4.15 (bsc#1126590)
- nptl-setxid-error.patch: nptl: Preserve error in setxid thread broadcast
in coredumps (bsc#1063675, BZ #22153)

==== glibc ====
Subpackages: glibc-extra glibc-locale glibc-locale-base nscd

- mman-map-sync.patch: Add MAP_SYNC from Linux 4.15 (bsc#1126590)
- mman-linux-map-shared-validate.patch: Add MAP_SHARED_VALIDATE from Linux
4.15 (bsc#1126590)
- nptl-setxid-error.patch: nptl: Preserve error in setxid thread broadcast
in coredumps (bsc#1063675, BZ #22153)

==== gnuhealth ====
Version update (3.4.0 -> 3.4.1)

- version 3.4.1 various bugfixes, e.g.
bug #55594: Traceback when creating a person without a system institution
bug #55595: Remove unimplemented functionality fields from Federation Country

==== grantleetheme ====
Version update (18.12.2 -> 18.12.3)
Subpackages: grantleetheme-lang libKF5GrantleeTheme5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== gwenview5 ====
Version update (18.12.2 -> 18.12.3)
Subpackages: gwenview5-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== hdf5 ====
Subpackages: libhdf5-103 libhdf5_hl100

- Like on PPC ignore transient 'make check' failures on aarch64.
- Remove ringdisabled magic as hdf5 is no longer a ring package.
This should resolve a number of problems in the review channels
for Factory with packages requiring hdf5 libs.

==== incidenceeditor ====
Version update (18.12.2 -> 18.12.3)
Subpackages: incidenceeditor-lang libKF5IncidenceEditor5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kaccounts-integration ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kaccounts-integration-lang libkaccounts1

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kaccounts-providers ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kaccounts-providers-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kactivitymanagerd ====
Version update (5.12.7 -> 5.12.8)
Subpackages: kactivitymanagerd-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== kaddressbook ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kaddressbook-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kalarmcal ====
Version update (18.12.2 -> 18.12.3)
Subpackages: akonadi-plugin-kalarmcal kalarmcal-lang libKF5AlarmCalendar5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kamera ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kamera-lang kio_kamera

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kate ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kate-lang kate-plugins

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kcalc ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kcalc-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kcalcore ====
Version update (18.12.2 -> 18.12.3)

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kcalutils ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kcalutils-lang libKF5CalendarUtils5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kcharselect ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kcharselect-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kcm_sddm ====
Version update (5.12.7 -> 5.12.8)
Subpackages: kcm_sddm-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
* Fix autologin session loading
- Add patch to fix build with Qt < 5.10:
* 0001-Revert-Fix-autologin-session-loading.patch

==== kcolorchooser ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kcolorchooser-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kcontacts ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kcontacts-lang libKF5Contacts5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kdav ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kdav-lang libKPimKDAV5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kde-cli-tools5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: kde-cli-tools5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== kde-gtk-config5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: kde-gtk-config5-gtk2 kde-gtk-config5-gtk3 kde-gtk-config5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== kde-user-manager ====
Version update (5.12.7 -> 5.12.8)
Subpackages: kde-user-manager-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== kdenetwork4-filesharing ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kdenetwork4-filesharing-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kdepim-addons ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kdepim-addons-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kdepim-apps-libs ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kdepim-apps-libs-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kdepim-runtime ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kdepim-runtime-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kdialog ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kdialog-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kgamma5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: kgamma5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== khelpcenter5 ====
Version update (18.12.2 -> 18.12.3)
Subpackages: khelpcenter5-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== khotkeys5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: khotkeys5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== kidentitymanagement ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kidentitymanagement-lang libKF5IdentityManagement5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kimap ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kimap-lang libKF5IMAP5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kinfocenter5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: kinfocenter5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
* Increase default window size so nothing gets cut off by default (kde#364767)

==== kio ====
Subpackages: kio-core kio-lang

- Add Fix-NTFS-hidden-check-for-symlinks.patch to avoid hiding
symlinks to NTFS mountpoints (kde#402738)

==== kio-extras5 ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kio-extras5-lang libkioarchive5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kio_audiocd ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kio_audiocd-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* Remove incorrect <provides><library> from appdata, not a real library
* Call KLocalizedString::setApplicationDomain only after QApp instance done
* Fix Ogg Vorbis logic for Average and Min/Max bitrates

==== kitinerary ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libKPimItinerary5 libKPimItinerary5-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kldap ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kldap-lang libKF5Ldap5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kleopatra ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kleopatra-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kmag ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kmag-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kmail ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kmail-application-icons kmail-lang ktnef

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* Fix Bug 403313 - Encoding problem on kmail2 5.10.1 when creating composer
from command line (kde#403313)

==== kmail-account-wizard ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kmail-account-wizard-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kmailtransport ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kmailtransport-lang libKF5MailTransport5
libKF5MailTransportAkonadi5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kmbox ====
Version update (18.12.2 -> 18.12.3)

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kmenuedit5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: kmenuedit5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== kmime ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kmime-lang libKF5Mime5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kmousetool ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kmousetool-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== knotes ====
Version update (18.12.2 -> 18.12.3)
Subpackages: knotes-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kompare ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kompare-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* Set StartupWMClass in desktop file

==== konsole ====
Version update (18.12.2 -> 18.12.3)
Subpackages: konsole-part konsole-part-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2
- Add upstream patches to improve and/or fix rendering of
line/block chars, cursors, and characters with wide glyphs:
* Add-special-support-for-block-characters.patch
* Extend-character-clipping-by-grouping-it-with-spaces.patch
(kde#401298)
* Improve-built-in-line_block-characters-drawing.patch
(kde#402415)
* Fix-ibeam-and-underline-cursor-rendering.patch (kde#402589)
- Drop patches to disable antialiasing as the rendering problems
are fixed by above patches:
* 0001-Revert-fix-drawing-box-chars-avoid-storing-and-savin.patch
* 0002-Revert-Antialias-line-drawing-characters.patch
- Add Fix-bold-font.patch to fix problems with rendering text in
bold (boo#1095022)

==== kontact ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kontact-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kontactinterface ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kontactinterface-lang libKF5KontactInterface5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== korganizer ====
Version update (18.12.2 -> 18.12.3)
Subpackages: korganizer-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kpimtextedit ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kpimtextedit-lang libKF5PimTextEdit5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kpkpass ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libKPimPkPass5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kqtquickcharts ====
Version update (18.12.2 -> 18.12.3)

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kscreen5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: kscreen5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
* Calculate screen scaling dynamically, so it always fits to the page
* Don't lose the widget layout after Default is pressed
* Redraw the slider if modes have changed

==== kscreenlocker ====
Version update (5.12.7 -> 5.12.8)
Subpackages: kscreenlocker-lang libKScreenLocker5

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
* Force software rendering when greeter crashed

==== ksmtp ====
Version update (18.12.2 -> 18.12.3)
Subpackages: ksmtp-lang libKPimSMTP5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== ksshaskpass5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: ksshaskpass5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== ksysguard5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: ksysguard5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== ktnef ====
Version update (18.12.2 -> 18.12.3)
Subpackages: ktnef-lang libKF5Tnef5

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kwalletmanager5 ====
Version update (18.12.2 -> 18.12.3)
Subpackages: kwalletmanager5-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== kwayland-integration ====
Version update (5.12.7 -> 5.12.8)

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== kwin5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: kwin5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
* [effects/startupfeedback] Fix shader
* Save the correct value of noborder property (kde#403948)
* Fix flickering with Qt 5.12
* [effects/presentwindows] Avoid potential freeze during fill-gaps
(kde#364709,kde#380865,kde#368811)
* [effects/desktopgrid] Specify screen projection matrix when drawing moving
window (kde#361371,kde#364509)
* [kcmkwin/ruleswidget] Disable "Detect" button when countdown is running
(kde#399644)
- Add "AND GPL-3.0-or-later" to the license

==== libffi ====
Subpackages: libffi7 libffi7-32bit

- libffi-riscv.patch: add support for RISC-V

==== libgravatar ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libKF5Gravatar5 libgravatar-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== libkcddb ====
Version update (18.12.2 -> 18.12.3)

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== libkcompactdisc ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libKF5CompactDisc5 libkcompactdisc-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== libkdcraw ====
Version update (18.12.2 -> 18.12.3)

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== libkdecoration2 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: libkdecorations2-5 libkdecorations2private5

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== libkdepim ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libKF5Libkdepim5 libKF5LibkdepimAkonadi5 libkdepim-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* Fix building with akonadi search support
- Dropped patches, now upstream:
* Fix-building-with-akonadi-search-support.patch
- Add Fix-building-with-akonadi-search-support.patch to re-enable
akonadi-search support that unconditionally was disabled by
mistake

==== libkexiv2 ====
Version update (18.12.2 -> 18.12.3)

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== libkgapi ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libKPimGAPICalendar5 libKPimGAPIContacts5 libKPimGAPICore5
libKPimGAPITasks5 libkgapi-lang sasl2-kdexoauth2

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* Fix googletalk protocol.
* Contacts: fix email type deserialization (kde#398847)
- Dropped patches, now upstream:
* Contacts-fix-email-type-deserialization.patch

==== libkipi ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libKF5Kipi32_0_0 libkipi-data

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== libkleo ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libKF5Libkleo5 libkleo-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== libkomparediff2 ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libkomparediff2-5 libkomparediff2-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== libksane ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libKF5Sane5 libksane-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== libkscreen2 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: libKF5Screen7 libkscreen2-plugin

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
* Notify also if modes have changed

==== libksieve ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libksieve-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== libksysguard5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: libksysguard5-helper libksysguard5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== libstorage-ng ====
Version update (4.1.95 -> 4.1.96)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#621
- handle entries in crypttab whose block device do not exist
(bsc#1123342)
- added unit test
- added documentation
- added explanation
- renamed variable
- 4.1.96

==== libvirt ====
Version update (5.0.0 -> 5.1.0)
Subpackages: libvirt-bash-completion libvirt-client libvirt-daemon
libvirt-daemon-config-network libvirt-daemon-driver-interface
libvirt-daemon-driver-network libvirt-daemon-driver-nodedev
libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu
libvirt-daemon-driver-secret libvirt-daemon-driver-storage
libvirt-daemon-driver-storage-core libvirt-daemon-driver-storage-disk
libvirt-daemon-driver-storage-gluster libvirt-daemon-driver-storage-iscsi
libvirt-daemon-driver-storage-logical libvirt-daemon-driver-storage-mpath
libvirt-daemon-driver-storage-rbd libvirt-daemon-driver-storage-scsi
libvirt-daemon-qemu libvirt-libs

- qemu: s390: show correct CPU status after guest crash
0001-qemu-Fix-query-cpus-fast-target-architecture-detecti.patch
bsc#1127841
- apparmor: fix more fallout from changing libvirtd profile to a
named profile
4ec3cf9a-apparmor-rules.patch,
0001-apparmor-Check-libvirtd-profile-status-by-name.patch
boo#1125841
- Update to libvirt 5.1.0
- Many incremental improvements and bug fixes, see
http://libvirt.org/news.html
- Dropped patches:
11c8aca9-libxl-set-mem-after-balloon.patch,
70c2933d-apparmor-named-profiles.patch,
a3ab6d42-apparmor-conv-libvirtd-named-profile.patch,
b6440119-qemu-conf-sev.patch,
a404ac34-qemu-cgroup-sev.patch,
6fd4c8f8-qemu-domain-sev.patch,
17f6a257-security-dac-sev.patch,
a2d3dea9-qemu-caps-dac-override-sev.patch,
620d9dd5-qemu-no-dac-override-nonroot.patch
- jsc#SLE-3887, jsc#SLE-4480, jsc#SLE-4577
- spec: disable VirtualBox driver

==== llvm7 ====
Version update (7.0.0 -> 7.0.1)

- llvm-Ensure-that-variant-part-discriminator-is-read-by-Me.patch,
llvm-test-Fix-Assembler-debug-info.ll.patch
* Fix crash in rustc (boo#1126907)
- Allow use of Gold linker to be conditional
- Disable Gold linker on ppc
+ LLVM currently doesn't build with Gold on ppc
- Update to llvm 7.0.1
* This release contains bug-fixes for the LLVM 7.0.0 release.
This release is API and ABI compatible with 7.0.0.
- enable gold unconditionally like with llvm6 and older
- reenable openmp support again for aarch64 (like it was already in llvm6)
- Use %license macro
- Use upstream-recommended %{_rpmconfigdir}/macros.d directory
for the rpm macros.
- Remove ppc from Exclude field in spec file
- Allow use of Gold linker to be conditional
- Disable Gold linker on ppc
- Add patch to fix SUSE GNU triplet on ppc
* clang-fix-powerpc-triplet.patch
- Add patch from upstream to fix ABI issue on ppc
* llvm-D51108.patch
- Limit list of enabled targets on ppc
* PowerPC;AMDGPU;BPF;NVPTX
- Ignore testsuite failures on ppc

==== mailcommon ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libKF5MailCommon5 mailcommon-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== mailimporter ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libKF5MailImporter5 libKF5MailImporterAkonadi5 mailimporter-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== marble ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libastro1 libmarblewidget-qt5-28 marble-data marble-doc marble-kde
marble-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== mariadb ====
Version update (10.2.15 -> 10.2.22)
Subpackages: libmysqld19 mariadb-client mariadb-errormessages

- add mariadb-10.2.22-fix_path.patch to fix a path to resolveip in
mysql_install_db script [bsc#1127027] MDEV-18526
- update to 10.2.22 GA
* notable changes:
* Backport Information Schema CHECK_CONSTRAINTS Table.
* MDEV-17475: Maximum value of table_definition_cache is
now 2097152
* InnoDB ALTER TABLE fixes: MDEV-16499, MDEV-18186, MDEV-18237,
MDEV-18222, MDEV-18256, MDEV-18016, MDEV-16849
* Mariabackup fixes: MDEV-18185, MDEV-18201, MDEV-18194
* Galera crash recovery fix: MDEV-15740
* Encryption fixes: MDEV-18129, MDEV-18183, MDEV-18279
* Fixes for the following security vulnerabilities:
* CVE-2019-2510, CVE-2019-2537
* release notes and changelog:
https://mariadb.com/kb/en/library/mariadb-10222-release-notes
https://mariadb.com/kb/en/library/mariadb-10222-changelog
- add slow_query_log example to my.cnf (my.ini) and adjust the
logrotate configuration to rotate all /var/log/mysql/*.log files.
This is useful when the slow query log is enabled. In that case,
this log file should also be rotated (bsc#1112767)
* refresh the following patches:
mariadb-10.0.15-logrotate-su.patch
mariadb-10.2.4-logrotate.patch
mariadb-10.2.9-galera_cnf.patch
- fix references path below legacy directory /var/run -> /run
- remove xtrabackup requirement as MariaDB ships a build in
mariabackup so xtrabackup is not needed unless a user specificaly
wants to use xtrabackup as sst method (also solves [bsc#1122475])
- tracker bug [bsc#1122198]
- update to 10.2.21 GA
* notable changes:
* MDEV-17589 - Stack-buffer-overflow with indexed varchar
(utf8) field
* MDEV-16987 - ALTER DATABASE possible in read-only mode
(forbid ALTER DATABASE in read_only)
* MDEV-17720 - slave_ddl_exec_mode=IDEMPOTENT does not handle
DROP DATABASE
* MDEV-6453 - Assertion `inited==NONE || (inited==RND && scan)'
failed in handler::ha_rnd_init(bool) with InnoDB, joins,
AND/OR conditions
* MDEV-18105 - Mariabackup fails to copy encrypted InnoDB
system tablespace if LSN>4G
* MDEV-18041 - Database corruption after renaming a
prefix-indexed column [bsc#1120041]
* MDEV-17470 - Orphan temporary files after interrupted ALTER
cause InnoDB: Operating system error number 17 and eventual
fatal error 71
* MDEV-17833: ALTER TABLE is not enforcing prefix index size
limit
* MDEV-17989: InnoDB: Failing assertion:
dict_tf2_is_valid(flags, flags2)
* MDEV-17765: Locking bug fix for SPATIAL INDEX
* MDEV-17923, MDEV-17904, MDEV-17938: Fixes for FULLTEXT INDEX
* Fixes for regressions introduced in MariaDB Server 10.2.19 by
the backup-safe TRUNCATE TABLE (MDEV-13564,
innodb_safe_truncate=ON) and innodb_undo_log_truncate:
* MDEV-17780, MDEV-17816, MDEV-17849, MDEV-17851, MDEV-17885
* Several improvements to MariaDB Server and backup for dealing
with encrypted or page_compressed pages:
* MDEV-12112: corruption in encrypted table may be overlooked
* MDEV-17958: On little-endian systems, remove bug-compatible
variant of innodb_checksum_algorithm=crc32
* MDEV-17957: Make innodb_checksum_algorithm stricter for
strict_* values
* MDEV-18025: Mariabackup fails to detect corrupted
page_compressed=1 tables
* fixes for the following security vulnerabilities: none
* release notes and changelog:
https://mariadb.com/kb/en/library/mariadb-10221-release-notes
https://mariadb.com/kb/en/library/mariadb-10221-changelog
https://mariadb.com/kb/en/library/mariadb-10220-release-notes
https://mariadb.com/kb/en/library/mariadb-10220-changelog
- update suse_skipped_tests.list
- remove PerconaFT from the package as it has AGPL licence
[bsc#1118754]
- update to 10.2.19 GA [bsc#1116686]
* notable changes:
* innodb_safe_truncate system variable for a backup-safe
TRUNCATE TABLE implementation that is based on RENAME,
CREATE, DROP (MDEV-14717, MDEV-14585, MDEV-13564). Default
value for this variable is ON. If you absolutely must use
XtraBackup instead of Mariabackup, you can set it to OFF and
restart the server
* MDEV-17289: Multi-pass recovery fails to apply some redo
log records
* MDEV-17073: INSERT?ON DUPLICATE KEY UPDATE became more
deadlock-prone
* MDEV-17491: micro optimize page_id_t
* MDEV-13671: InnoDB should use case-insensitive column name
comparisons like the rest of the server
* Fixes for indexed virtual columns: MDEV-17215, MDEV-16980
* MDEV-17433: Allow InnoDB start up with empty ib_logfile0
from mariabackup --prepare
* MDEV-12547: InnoDB FULLTEXT index has too strict
innodb_ft_result_cache_limit max limit
* MDEV-17541: KILL QUERY during lock wait in FOREIGN KEY
check causes hang
* MDEV-17531: Crash in RENAME TABLE with FOREIGN KEY and
FULLTEXT INDEX
* MDEV-17532: Performance_schema reports wrong directory for
the temporary files of ALTER TABLE?ALGORITHM=INPLACE
* MDEV-17545: Predicate lock for SPATIAL INDEX should lock
non-matching record
* MDEV-17546: SPATIAL INDEX should not be allowed for
FOREIGN KEY
* MDEV-17548: Incorrect access to off-page column for
indexed virtual column
* MDEV-12023: Assertion failure sym_node->table != NULL
on startup
* MDEV-17230: encryption_key_id from alter is ignored by
encryption threads
* fixes for the following security vulnerabilities:
CVE-2018-3282 [bsc#1112432], CVE-2016-9843 [bsc#1013882],
CVE-2018-3174 [bsc#1112368], CVE-2018-3143 [bsc#1112421],
CVE-2018-3156 [bsc#1112417], CVE-2018-3251 [bsc#1112397],
CVE-2018-3185 [bsc#1112384], CVE-2018-3277 [bsc#1112391],
CVE-2018-3162 [bsc#1112415], CVE-2018-3173 [bsc#1112386],
CVE-2018-3200 [bsc#1112404], CVE-2018-3284 [bsc#1112377]
* release notes and changelog:
https://mariadb.com/kb/en/library/mariadb-10219-release-notes
https://mariadb.com/kb/en/library/mariadb-10219-changelog
- do not pack libmariadb.pc (packed in mariadb-connector-c)
- update to MariaDB 10.2.18
* notable changes in 10.2.18
* MDEV-15511 - if available, stunnel can be used during Galera
rsync SST
* MDEV-16791 - mariabackup: Support DDL commands during backup
* MDEV-13564 - Refuse MLOG_TRUNCATE in mariabackup
* MDEV-16934 - add new system variable eq_range_index_dive_limit
to speed up queries that new long nested IN lists. The default
value, for backward compatibility, is 0 meaning "unlimited".
* MDEV-13333 - errors on InnoDB lock conflict
* Report all InnoDB redo log corruption
* MDEV-17043 - Purge of indexed virtual columns may cause hang
on table-rebuilding DDL
* MDEV-16868 - corruption of InnoDB temporary tables
* MDEV-16465 - Invalid (old?) table or database name or hang
in ha_innobase::delete_table and log semaphore wait upon
concurrent DDL with foreign keys
* it fixes the following security vulnerabilities:
CVE-2018-3066 [bsc#1101678], CVE-2018-3064 [bsc#1103342]
CVE-2018-3063 [bsc#1101677], CVE-2018-3060 (no bsc)
CVE-2018-3058 [bsc#1101676]
* release notes and changelog:
https://mariadb.com/kb/en/library/mariadb-10218-release-notes
https://mariadb.com/kb/en/library/mariadb-10218-changelog
- refresh mariadb-5.5.28-install_db-quiet.patch
- refresh mariadb-10.2.4-fortify-and-O.patch
- refresh mariadb-10.2.9-galera_cnf.patch
- pack wsrep_sst_rsync_wan file to galera subpackage (not shipped)
- add "Requires: libmariadb_plugins" to the mariadb-test subpackage
in order to be able to test client plugins successfuly
[bsc#1111859]
- don't remove debug_key_management.so anymore [bsc#1111858]

==== messagelib ====
Version update (18.12.2 -> 18.12.3)
Subpackages: messagelib-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* Fix runtime warning when calling deleteLater on a null object.

==== milou5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: milou5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== mobipocket ====
Version update (18.12.2 -> 18.12.3)

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== okular ====
Version update (18.12.2 -> 18.12.3)
Subpackages: okular-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== open-iscsi ====
Subpackages: iscsiuio libopeniscsiusr0_2_0

- Fix output for iscsiadm node/iface print level P1 (bsc#1122938),
updating:
* open-iscsi-SUSE-latest.diff.bz2
- Added two upstream qedi/iscsiuio fixes (bsc#1116711):
* qedi: Set buf_size in case of ICMP and ARP packet.
* qedi: Use uio BD index instead on buffer index.
updating:
* open-iscsi-SUSE-latest.diff.bz2

==== oxygen5 ====
Version update (5.12.7 -> 5.12.8)

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== patterns-base ====
Subpackages: patterns-base-32bit patterns-base-apparmor
patterns-base-apparmor-32bit patterns-base-apparmor_opt patterns-base-base
patterns-base-base-32bit patterns-base-basesystem patterns-base-console
patterns-base-enhanced_base patterns-base-enhanced_base-32bit
patterns-base-enhanced_base_opt patterns-base-minimal_base
patterns-base-minimal_base-32bit patterns-base-sw_management
patterns-base-sw_management-32bit patterns-base-transactional_base
patterns-base-update_test patterns-base-x11 patterns-base-x11-32bit
patterns-base-x11_enhanced patterns-base-x11_enhanced-32bit
patterns-base-x11_opt

- Add pattern x11_raspberrypi (fate#326509, jsc#SLE-4142)
This is to cover the delta between SLES 15 GA and SP1 JeOS images
to allow the user to recreate its IceWM desktop without requiring
a lengthy list of packages.

==== patterns-xfce ====
Subpackages: patterns-xfce-xfce patterns-xfce-xfce_basis
patterns-xfce-xfce_laptop patterns-xfce-xfce_office

- added blueberry (missing in previous commit)

==== patterns-yast ====
Version update (20181130 -> 20190228)
Subpackages: patterns-yast-x11_yast patterns-yast-yast2_basis

- Added yast2-alternatives to the "yast2_basis" pattern (opensuse
only) (bsc#1125040).
- 20190228

==== pimcommon ====
Version update (18.12.2 -> 18.12.3)
Subpackages: libKF5PimCommon5 libKF5PimCommonAkonadi5 pimcommon-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== plasma-nm5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: plasma-nm5-lang plasma-nm5-openconnect plasma-nm5-openvpn
plasma-nm5-pptp plasma-nm5-vpnc

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== plasma5-addons ====
Version update (5.12.7 -> 5.12.8)
Subpackages: plasma5-addons-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
* [weather] Fix weather Notices tab not showing
* [KonsoleProfiles applet] Fix navigating with the keyboard

==== plasma5-desktop ====
Version update (5.12.7 -> 5.12.8)
Subpackages: plasma5-desktop-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
* [Kickoff] Return Kickoff to Favorites page after running a search
* Use Dialog's visibility directly rather than relying on the mainItem's
* Fix new file creation leading to dupe items on a fresh view (kde#401023)
* Check icon positions after move (kde#402574)
* Defer initial positions apply until listing is complete (kde#354802)
* [KRDB] Also try wildcard tooltip (kde#355540)
* [KRDB] Write correct tooltip colors into gtkrc in kcminit
* [Date & Time KCM] Fix clock display with fractional scale factor
(kde#396936)
* Add an X-DocPath link to the Activities KCM
* [Activities KCM] Fix patch to not delete default activity (kde#397887)
* [Activities KCM] Disable delete button when there's only one activity
(kde#397887)
* [Activities KCM] vertically center the buttons
* Make accessibility warning dialog usable again
* Round label width
* [Folder View] implement a minimum width for icon view to ensure that labels
are never rendered useless (kde#379432)
* Fix group popup dialog (kde#401508)
* [Folder View] improve label contrast against challenging backgrounds
(kde#361228)
* [Componentchooser KCM] Make default browser app choice work even when
combobox is not used (kde#350663)
* Fix dismissing the Dashboard by clicking inbetween multi-grid categories.
(kde#400720)
* Revert unintended line
* Compress calls to `updateSize` (kde#400364)
* Remove.
* Focus handling fixes (kde#399566)
* [Kicker] Rename id column to itemColumn
* Add accessibility information to desktop icons
* Fix initial focus (kde#399185)
* [Folder View] Don't spawn multiple stat jobs for the same folder
* Fix drop between shared views
- Refresh 0001-Place-toolbox-in-the-top-right-corner-of-the-screen.patch

==== plasma5-integration ====
Version update (5.12.7 -> 5.12.8)
Subpackages: plasma5-integration-plugin plasma5-integration-plugin-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== plasma5-openSUSE ====
Version update (15.0~git20181114T190445~21cb8a6 ->
15.0~git20190223T194652~7f4983a)
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 5.12.8
- Update to version 15.0~git20190223T194652~7f4983a:
* konversationrc: change #opensuse to #suse

==== plasma5-pa ====
Version update (5.12.7 -> 5.12.8)
Subpackages: plasma5-pa-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
* Fix connecting to PulseAudio with Qt 5.12 beta 3

==== plasma5-workspace ====
Version update (5.12.7 -> 5.12.8)
Subpackages: plasma5-session plasma5-session-wayland plasma5-workspace-lang
plasma5-workspace-libs

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
* [weather] envcan: Fix typo in lowercase icon lookup string
* Don't show entries with NoDisplay=true with the applauncher
containmentaction
* [weather dataengine] bbc,envcan,noaa: fix day/night calculation for observe
* [weather dataengine] envcan: fix forecast icons to match "ice pellets"
* weather dataengine] noaa: another forecast string found in use
* [kio_applications] Fix last dir item being shown twice
* [plasmawindowed] Pick up KQuickAddons::QtQuickSettings
* weather dataengine] noaa: support more "Slight Chance *" forecast strings
* [weather dataengine] Remove duplicated condition/forecast strings
* StatusItemNotifier: fix overlays by name with icons by name
* [weather dataengine] noaa: add another forecast string found in use
* [weather dataengine] bbc: use night icons for forecast "Tonight"
* Useful error output when shell loading is aborted due to kactivitymanagerd
not being activatable
* [weather dataengine] envcan: fix typo in forecast string "Mainly sunny"
* [weather dataengine] envcan: support also "Partly cloudy" forecast
* [weather dataengine] bbc: adapt to changed strings for same day in forecast
* [weather dataengine] noaa: add more forecast strings found in use
* [weather dataengine] envcan: support also "Mainly cloudy" forecast
* [weather dataengine] noaa: use https over http
* [weather dataengine] noaa: fix unknown icon for Flurries
* [kuiserver] Debug--
* [kuiserver] Avoid double warning on terminated jobs
* Set error if a kjob host disappears from kuiserver with active jobs
* Only use wl-shell for the ksmserver greeters on Qt < 5.12 (kde#399918)
* Plasmashell freezes when trying to get free space info from mounted remote
filesystem after losing connection to it (kde#397537)
* KRunner: remove no longer existant and unused column from SQL query
(kde#398305)
* Fallback to in-process prompt if logout prompt fails
* Klipper: Do not insert secret data into history
- Refresh 0002-Add-platform-detection-to-KWorkspace-library-to-adju.patch

==== polkit-kde-agent-5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: polkit-kde-agent-5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== powerdevil5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: powerdevil5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== python-libvirt-python ====
Version update (5.0.0 -> 5.1.0)

- Update to 5.1.0
- Add all new APIs and constants in libvirt 5.1.0
- jsc#SLE-3887, jsc#SLE-4480, jsc#SLE-4577

==== samba ====
Version update (4.9.3+git.123.6de7e23d2b1 -> 4.9.4+git.138.e50f45d83ad)
Subpackages: libdcerpc-binding0 libdcerpc-binding0-32bit libdcerpc0
libdcerpc0-32bit libndr-krb5pac0 libndr-krb5pac0-32bit libndr-nbt0
libndr-nbt0-32bit libndr-standard0 libndr-standard0-32bit libndr0 libndr0-32bit
libnetapi0 libnetapi0-32bit libsamba-credentials0 libsamba-credentials0-32bit
libsamba-errors0 libsamba-errors0-32bit libsamba-hostconfig0
libsamba-hostconfig0-32bit libsamba-passdb0 libsamba-passdb0-32bit
libsamba-policy0-python3 libsamba-util0 libsamba-util0-32bit libsamdb0
libsamdb0-32bit libsmbclient0 libsmbconf0 libsmbconf0-32bit libsmbldap2
libsmbldap2-32bit libtevent-util0 libtevent-util0-32bit libwbclient0
libwbclient0-32bit samba-client samba-client-32bit samba-libs samba-libs-32bit
samba-libs-python samba-libs-python3 samba-python3 samba-winbind
samba-winbind-32bit

- Fix vfs_ceph ftruncate and fallocate handling; (bso#13807); (bsc#1127153).
- Fix update-apparmor-samba-profile script after apparmor switched
to using named profiles. The change is backwards compatible;
(bsc#1126377);
- LoadParm().load_default() fails with "Unable to load default file";
(bsc#1089758);
- Abide by load_printers smb.conf parameter; (bso#13766); (bsc#1124223);
- Update to samba-4.9.4
+ libcli/smb: Don't overwrite status code; (bso#9175).
+ wbinfo --group-info 'NT AUTHORITY\System' does not work; (bso#12164).
+ Session setup reauth fails to sign response; (bso#13661).
+ vfs_fruit: Validation of writes on AFP_AfpInfo stream; (bso#13677).
+ vfs_shadow_copy2: Nicely deal with attempts to open previous
version for writing; (bso#13688).
+ Restoring previous version of stream with vfs_shadow_copy2 fails
with NT_STATUS_OBJECT_NAME_INVALID fsp->base_fsp->fsp_name; (bso#13455).
+ CVE-2018-16853: Fix S4U2Self crash with MIT KDC build; (bso#13571).
+ s3-vfs: Prevent NULL pointer dereference in vfs_glusterfs; (bso#13708)
+ PEP8: fix E231: missing whitespace after ','.
+ winbindd: Fix crash when taking profiles;(bso#13629)
+ CVE-2018-14629 dns: Fix CNAME loop prevention using counter
regression; (bso#13600)
+ 'samba-tool user syscpasswords' fails on a domain with many DCs;
(bso#13686).
+ CVE-2018-16853: Do not segfault if client is not set; (bso#13571).
+ lib:util: Fix DEBUGCLASS pointer initializiation; (bso#13679)
+ ctdb-daemon: Exit with error if a database directory does not
exist; (bso#13696).
+ s3:libads: Add net ads leave keep-account option; (bso#13498).

==== signon-kwallet-extension ====
Version update (18.12.2 -> 18.12.3)

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== spectacle ====
Version update (18.12.2 -> 18.12.3)
Subpackages: spectacle-lang

- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2

==== supportutils ====
Version update (3.1 -> 3.1.1)

- Updated to version 3.1.1
+ Fixed X missing /prob/fb error (bsc#1127069)
+ Fixed dasdview -f (bsc#1109664)
+ Clarified -t help description (bsc#1121043)
+ Fixed grep error in NTP when /etc/cron.d is empty (bsc#1127063)
+ Collects systemd journal with minimum install (bsc#1094225)
+ Supportconfig fails on bzip archives (bsc#1120049)
+ Get few drbd output & configuration #42

==== systemsettings5 ====
Version update (5.12.7 -> 5.12.8)
Subpackages: systemsettings5-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== urlscan ====
Version update (0.8.6 -> 0.9.2)

- Update to version 0.9.2
* Add shortcut to copy URL to clipboard (primary).
* Add option to pipe URL into external command.

==== virt-manager ====
Subpackages: virt-install virt-manager-common

- Temporarily disable Xen PVH support until feature is more usable
(bsc#1125889)
virtinst-add-pvh-support.patch

==== vlc ====
Subpackages: libvlc5 libvlccore9 vlc-codec-gstreamer vlc-lang vlc-noX vlc-qt

- Limit the use of projectM-qt5 to suse_version > 1320 < 1550.
On Tumbleweed, we now have projectM 3.1.0, which is equivalent
to what our projectM-qt5 used to be.
- Move vdpau sub-package and it's dependencies out of BUILD_ORIG
conditional, everything it needs is provided by openSUSE.
- Refresh patches with refresh_patches service.
- Drop BUILD_ORIG guarded faad2-devel and libfaac-devel
BuildRequires and stop passing conditional --enable-faad to
configure, libfdkaac is sufficient for aac encoding/decoding.
- Add pkgconfig(aom), pkgconfig(libnfs) and pkgconfig(soxr)
BuildRequires, build the codecs/filters/plugins.

==== xdg-desktop-portal-kde ====
Version update (5.12.7 -> 5.12.8)
Subpackages: xdg-desktop-portal-kde-lang

- Update to 5.12.8
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.8.php
- No code changes since 5.12.7

==== xen ====
Version update (4.12.0_02 -> 4.12.0_04)

- bsc#1127620 - Documentation for the xl configuration file allows
for firmware=pvgrub64 but we don't ship pvgrub64.
Create a link from grub.xen to pvgrub64
xen.spec
- Update to Xen 4.12.0 RC4 release (fate#325107, fate#323901)
xen-4.12.0-testing-src.tar.bz2
- Tarball also contains additional post RC4 security fixes for
Xen Security Advisories 287, 288, and 290 through 294.
- Update to Xen 4.12.0 RC3 release (fate#325107, fate#323901)
xen-4.12.0-testing-src.tar.bz2

==== yast2 ====
Version update (4.1.56 -> 4.1.61)
Subpackages: yast2-logs

- bnc#1127798
- do not crash with internal error when enabling a network
network service when no network service is active.
- 4.1.61
- added "Modify" button label (related to bsc#1128279, or just as
good gh#yast/yast-yast2#713)
- 4.1.60
- Added command line support also for the other Report module
methods (related to bnc#1127685)
- 4.1.59
- Fixed a failing testsuite, the Report.LongError used in the
global exception handler did not support the command line mode
(related to bnc#1127685)
- 4.1.58
- bnc#1127685
- made Report module long message reporting popups adjustable
- 4.1.57

==== yast2-bootloader ====
Version update (4.1.20 -> 4.1.21)

- Add option to Disable Simultaneous Multithreading (bsc#1098559)
- Allow to modify bootloader configuration during upgrade
- 4.1.21

==== yast2-control-center ====
Version update (4.1.6 -> 4.1.7)
Subpackages: yast2-control-center-qt

- Introduce very effective fallback for icons (boo#1127245)
- 4.1.7

==== yast2-installation ====
Version update (4.1.37 -> 4.1.41)

- Retranslate also the side bar steps when changing the language
(bsc#1128153)
- 4.1.41
- Do not change polkit default priviledges during upgrade
(bsc#1120720)
- 4.1.40
- Do not write the displaymanager value (part of bsc#1125040).
- 4.1.39
- Respect Textmode=1 when installing over SSH with a DISPLAY (bsc#1047470)
- 4.1.38

==== yast2-iscsi-client ====
Version update (4.1.5 -> 4.1.6)

- fixed parsing of iscsiadm -m node -P 1 (bsc#1121806)
- 4.1.6

==== yast2-network ====
Version update (4.1.42 -> 4.1.43)

- Fixed "can't modify frozen String" crashes (related to
bsc#1125006 and gh#yast/yast-ruby-bindings#228)
- 4.1.43

==== yast2-packager ====
Version update (4.1.29 -> 4.1.32)

- Bug fix: Changing repo URL has been ignored (bsc#1119564).
- 4.1.32
- Correct english wording for missing patterns (bsc#1117535).
- 4.1.31
- fix showing help text for product license (bsc#1126491)
- 4.1.30

==== yast2-pkg-bindings ====
Version update (4.1.1 -> 4.1.2)

- zypp::TriBool now needs an explicit cast to bool (bsc#1128364)
(since boost-1.69.0)
- 4.1.2

==== yast2-ruby-bindings ====
Version update (4.1.2 -> 4.1.4)

- Always return frozen strings from the translation functions,
make the results unified (related to bsc#1125006)
- 4.1.4
- bnc#1127685
- Internal error message popup is scaled according to its content
- 4.1.3

==== yast2-snapper ====
Version update (4.1.0 -> 4.1.2)

- added button to refresh list of snapshots (bsc#1128279, or just
as good gh#yast/yast-yast2#713 )
- 4.1.2
- enable rubocop
- 4.1.1

==== yast2-storage-ng ====
Version update (4.1.68 -> 4.1.71)

- Prevent crash if resizing a newly formatted filesystem (bsc#1124146)
- 4.1.71
- Fixed "can't modify frozen String" crashes (related to
bsc#1125006)
- Fixed missing translation (bsc#1127181)
- 4.1.70
- Translates the filesystem roles properly (bsc#1127756).
- 4.1.69

==== yast2-users ====
Version update (4.1.9 -> 4.1.10)

- Removed "btrfs_subvolume" from user default values (bsc#1125779)
- Added AutoYaST support for home Btrfs subvolumes.
- 4.1.10


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages